| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiMP.pTools.PackedCaloHypo Class Reference

## Public Member Functions
def | __init__ (self, o)
def | __repr__ (self)

## Public Attributes
| centX
| centY
| cerr
| cov
| firstCluster
| firstDigit
| firstHypo
| hypothesis
| key
| lastCluster
| lastDigit
| lastHypo
| lh
| pos
| z

## Detailed Description

Definition at line 509 of file pTools.py.

## Constructor & Destructor Documentation

def GaudiMP.pTools.PackedCaloHypo.__init__ | ( |  | self,
|  |  | o
| ) |  |

Definition at line 510 of file pTools.py.

510 def __init__(self, o):
511 cl = 'LHCb::PackedCaloHypo'
512 assert o.__class__.__name__ == cl
513 self.centX = o.centX
514 self.centY = o.centY
515 self.cerr = (o.cerr00, o.cerr10, o.cerr11)
516 self.cov = (o.cov00, o.cov10, o.cov11, o.cov20, o.cov21, o.cov22)
517 self.firstCluster = o.firstCluster
518 self.firstDigit = o.firstDigit
519 self.firstHypo = o.firstHypo
520 self.hypothesis = o.hypothesis
521 self.key = o.key
522 self.lastCluster = o.lastCluster
523 self.lastDigit = o.lastDigit
524 self.lastHypo = o.lastHypo
525 self.lh = o.lh
526 self.pos = (o.posE, o.posX, o.posY)
527 self.z = o.z
528
GaudiMP.pTools.PackedCaloHypo.centY
centY
Definition: pTools.py:514
GaudiMP.pTools.PackedCaloHypo.__init__
def __init__(self, o)
Definition: pTools.py:510
GaudiMP.pTools.PackedCaloHypo.lastDigit
lastDigit
Definition: pTools.py:523
GaudiMP.pTools.PackedCaloHypo.firstHypo
firstHypo
Definition: pTools.py:519
GaudiMP.pTools.PackedCaloHypo.hypothesis
hypothesis
Definition: pTools.py:520
GaudiMP.pTools.PackedCaloHypo.lastHypo
lastHypo
Definition: pTools.py:524
GaudiMP.pTools.PackedCaloHypo.z
z
Definition: pTools.py:527
GaudiMP.pTools.PackedCaloHypo.lh
lh
Definition: pTools.py:525
GaudiMP.pTools.PackedCaloHypo.pos
pos
Definition: pTools.py:526
GaudiMP.pTools.PackedCaloHypo.firstCluster
firstCluster
Definition: pTools.py:517
GaudiMP.pTools.PackedCaloHypo.cov
cov
Definition: pTools.py:516
GaudiMP.pTools.PackedCaloHypo.cerr
cerr
Definition: pTools.py:515
GaudiMP.pTools.PackedCaloHypo.centX
centX
Definition: pTools.py:513
GaudiMP.pTools.PackedCaloHypo.lastCluster
lastCluster
Definition: pTools.py:522
GaudiMP.pTools.PackedCaloHypo.key
key
Definition: pTools.py:521
GaudiMP.pTools.PackedCaloHypo.firstDigit
firstDigit
Definition: pTools.py:518

## Member Function Documentation

def GaudiMP.pTools.PackedCaloHypo.__repr__ | ( |  | self | ) |

Definition at line 529 of file pTools.py.

529 def __repr__(self):
530 s = "PackedCaloHypo : \n"
531 s += "\tcentX : %s\n" % (str(self.centX))
532 s += "\tcentY : %s\n" % (str(self.centY))
533 s += "\tcerr : %s\n" % (str(self.cerr))
534 s += "\tcov : %s\n" % (str(self.cov))
535 s += "\tfirstCluster : %s\n" % (str(self.firstCluster))
536 s += "\tfirstDigit : %s\n" % (str(self.firstDigit))
537 s += "\tfirstHypo : %s\n" % (str(self.firstHypo))
538 s += "\thypothesis : %s\n" % (str(self.hypothesis))
539 s += "\tkey : %s\n" % (str(self.key))
540 s += "\tlastCluster : %s\n" % (str(self.lastCluster))
541 s += "\tlastDigit : %s\n" % (str(self.lastDigit))
542 s += "\tlastHypo : %s\n" % (str(self.lastHypo))
543 s += "\tlh : %s\n" % (str(self.lh))
544 s += "\tpos : %s\n" % (str(self.pos))
545 s += "\tz : %s\n" % (str(self.z))
546 s += "---------------------------------------\n"
547 return s
548
549 # =============================================================================
550
551
GaudiMP.pTools.PackedCaloHypo.__repr__
def __repr__(self)
Definition: pTools.py:529
GaudiMP.pTools.PackedCaloHypo.centY
centY
Definition: pTools.py:514
GaudiMP.pTools.PackedCaloHypo.lastDigit
lastDigit
Definition: pTools.py:523
GaudiMP.pTools.PackedCaloHypo.firstHypo
firstHypo
Definition: pTools.py:519
GaudiMP.pTools.PackedCaloHypo.hypothesis
hypothesis
Definition: pTools.py:520
GaudiMP.pTools.PackedCaloHypo.lastHypo
lastHypo
Definition: pTools.py:524
GaudiMP.pTools.PackedCaloHypo.z
z
Definition: pTools.py:527
GaudiMP.pTools.PackedCaloHypo.lh
lh
Definition: pTools.py:525
GaudiMP.pTools.PackedCaloHypo.pos
pos
Definition: pTools.py:526
GaudiMP.pTools.PackedCaloHypo.firstCluster
firstCluster
Definition: pTools.py:517
GaudiMP.pTools.PackedCaloHypo.cov
cov
Definition: pTools.py:516
GaudiMP.pTools.PackedCaloHypo.cerr
cerr
Definition: pTools.py:515
GaudiMP.pTools.PackedCaloHypo.centX
centX
Definition: pTools.py:513
GaudiMP.pTools.PackedCaloHypo.lastCluster
lastCluster
Definition: pTools.py:522
GaudiMP.pTools.PackedCaloHypo.key
key
Definition: pTools.py:521
GaudiMP.pTools.PackedCaloHypo.firstDigit
firstDigit
Definition: pTools.py:518

## Member Data Documentation

GaudiMP.pTools.PackedCaloHypo.centX

Definition at line 513 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.centY

Definition at line 514 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.cerr

Definition at line 515 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.cov

Definition at line 516 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.firstCluster

Definition at line 517 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.firstDigit

Definition at line 518 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.firstHypo

Definition at line 519 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.hypothesis

Definition at line 520 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.key

Definition at line 521 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.lastCluster

Definition at line 522 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.lastDigit

Definition at line 523 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.lastHypo

Definition at line 524 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.lh

Definition at line 525 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.pos

Definition at line 526 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.z

Definition at line 527 of file pTools.py.

The documentation for this class was generated from the following file:

- GaudiMP/python/GaudiMP/pTools.py